> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiorders codes

> Get all barcode/QR code images for an order with rich order item data. Returns codes with base64 SVG images and full order item details for ticket rendering. The pratiq-channel-uuid header is required by shared customer authentication but is not used to filter order access. Access is scoped to the authenticated account and orders from WEB or CONSUMPTION sales channels.



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json get /api/orders/{orderId}/codes
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/orders/{orderId}/codes:
    get:
      tags:
        - orders
      description: >-
        Get all barcode/QR code images for an order with rich order item data.
        Returns codes with base64 SVG images and full order item details for
        ticket rendering. The pratiq-channel-uuid header is required by shared
        customer authentication but is not used to filter order access. Access
        is scoped to the authenticated account and orders from WEB or
        CONSUMPTION sales channels.
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: >-
            Required by shared customer authentication. Ignored for customer
            order access filtering; access is scoped to the authenticated
            account and orders from WEB or CONSUMPTION sales channels.
          required: true
          schema:
            type: string
        - name: orderId
          in: path
          required: true
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/V2025_02_18_OrderCodesResponse'
                required:
                  - data
components:
  schemas:
    V2025_02_18_OrderCodesResponse:
      type: object
      properties:
        orderRefno:
          type: string
        clientName:
          type: string
        isComplete:
          type: boolean
        codes:
          type: array
          items:
            $ref: '#/components/schemas/V2025_02_18_OrderCode'
      required:
        - orderRefno
        - clientName
        - isComplete
        - codes
    V2025_02_18_OrderCode:
      type: object
      properties:
        id:
          type: number
        code:
          type: string
        codeType:
          oneOf:
            - nullable: true
            - type: string
              enum:
                - CODE_39
            - type: string
              enum:
                - CODE_128
            - type: string
              enum:
                - INTERLEAVED_2_OF_5
            - type: string
              enum:
                - STANDARD_2_OF_5
            - type: string
              enum:
                - UPC
            - type: string
              enum:
                - QR
            - type: string
              enum:
                - DATA_MATRIX
            - type: string
              enum:
                - PDF_417
            - type: string
              enum:
                - EAN
            - type: string
              enum:
                - AZTEC
          nullable: true
        descriptor:
          type: string
          nullable: true
        system:
          type: string
          enum:
            - SKIDATA
            - AXESS
            - FERATEL
            - EPS
            - ECOPARK
            - ALENO
            - KUBEOS
            - CAPAZIP
            - SIMPHONY
            - SENSIBLE_WEATHER
            - PONCHO
            - NOVATOUCH
            - PRICENOW
            - VISUAL
            - INTERMAPS
        ticketStatus:
          type: string
          enum:
            - REFUNDED
            - CANCELLED
            - RESERVED
            - FAILED
            - EXPIRED
            - PRODUCED
            - USED
            - BLOCKED
        imageDataUri:
          type: string
          nullable: true
        purpose:
          type: string
          enum:
            - OTHER
            - DIRECT
            - PICKUP
            - E_TICKET
        orderItems:
          type: array
          items:
            $ref: '#/components/schemas/ManagementOrder_OrderItem'
      required:
        - id
        - code
        - codeType
        - descriptor
        - system
        - ticketStatus
        - imageDataUri
        - purpose
        - orderItems
    ManagementOrder_OrderItem:
      type: object
      properties:
        id:
          type: number
        parentItemId:
          type: number
          nullable: true
        status:
          type: string
          enum:
            - RESERVED
            - PENDING
            - ISSUED
            - CANCELED
        productVariant:
          $ref: '#/components/schemas/Checkout_CheckoutProductVariant'
        validity:
          type: object
          properties:
            from:
              type: string
            to:
              type: string
          required:
            - from
            - to
          nullable: true
        parentItem:
          $ref: '#/components/schemas/ManagementOrder_OrderItem'
          nullable: true
        childItems:
          type: array
          items:
            $ref: '#/components/schemas/ManagementOrder_OrderItem'
        person:
          $ref: '#/components/schemas/Checkout_Person'
          nullable: true
        keycard:
          $ref: '#/components/schemas/Checkout_Keycard'
          nullable: true
        medium:
          oneOf:
            - nullable: true
            - type: object
              properties:
                description:
                  type: string
                name:
                  type: string
                type:
                  type: string
                  enum:
                    - SKIDATA
                    - AXESS
                    - SWISSPASS
                    - LICENSEPLATE
                    - FERATEL
                    - SKIDATA_RENEWAL
                    - SKIDATA_E_TICKET
                    - AXESS_RENEWAL
                    - ON_SITE
                    - CODE_DIRECT
                    - CODE_PICKUP
                    - DELIVERY
                id:
                  type: number
                priceComponents:
                  type: array
                  items:
                    type: object
                    properties:
                      price:
                        type: number
                      productVariant:
                        type: object
                        properties:
                          id:
                            type: number
                          name:
                            type: string
                          translation:
                            type: string
                          vatRate:
                            type: number
                          productId:
                            type: number
                          attributes:
                            type: array
                            items:
                              $ref: '#/components/schemas/Catalog_Attribute'
                        required:
                          - id
                          - name
                          - translation
                          - vatRate
                          - productId
                          - attributes
                      intent:
                        type: string
                        enum:
                          - SENDING_FEE
                          - DEPOT
                    required:
                      - price
                      - productVariant
                      - intent
                requiresKeycard:
                  type: boolean
                keycard:
                  $ref: '#/components/schemas/Checkout_Keycard'
              required:
                - description
                - name
                - type
                - id
                - priceComponents
                - requiresKeycard
                - keycard
            - type: object
              properties:
                description:
                  type: string
                name:
                  type: string
                type:
                  type: string
                  enum:
                    - SKIDATA
                    - AXESS
                    - SWISSPASS
                    - LICENSEPLATE
                    - FERATEL
                    - SKIDATA_RENEWAL
                    - SKIDATA_E_TICKET
                    - AXESS_RENEWAL
                    - ON_SITE
                    - CODE_DIRECT
                    - CODE_PICKUP
                    - DELIVERY
                id:
                  type: number
                priceComponents:
                  type: array
                  items:
                    type: object
                    properties:
                      price:
                        type: number
                      productVariant:
                        type: object
                        properties:
                          id:
                            type: number
                          name:
                            type: string
                          translation:
                            type: string
                          vatRate:
                            type: number
                          productId:
                            type: number
                          attributes:
                            type: array
                            items:
                              $ref: '#/components/schemas/Catalog_Attribute'
                        required:
                          - id
                          - name
                          - translation
                          - vatRate
                          - productId
                          - attributes
                      intent:
                        type: string
                        enum:
                          - SENDING_FEE
                          - DEPOT
                    required:
                      - price
                      - productVariant
                      - intent
                requiresKeycard:
                  type: boolean
                keycard:
                  nullable: true
              required:
                - description
                - name
                - type
                - id
                - priceComponents
                - requiresKeycard
                - keycard
          nullable: true
        listPriceGross:
          type: number
        listPriceNet:
          type: number
        promoCodeDiscount:
          type: number
        autoDiscount:
          $ref: '#/components/schemas/Checkout_AutoDiscount'
          nullable: true
        autoDiscountAmount:
          type: number
        totalDiscountGross:
          type: number
        totalDiscountNet:
          type: number
        donation:
          $ref: '#/components/schemas/Checkout_Donation'
          nullable: true
        totalGross:
          type: number
        totalNet:
          type: number
        vatRate:
          type: number
        displayPrice:
          type: boolean
        requiresPersonalization:
          type: boolean
        requiresValidation:
          type: boolean
        requiresMedium:
          type: boolean
        isConfirmationRequired:
          type: boolean
        isFlexTicket:
          type: boolean
        isMaxOneTicketPerPerson:
          type: boolean
        isUniqueItem:
          type: boolean
        supportsWeatherGuarantee:
          type: boolean
        hasWeatherGuarantee:
          type: boolean
      required:
        - id
        - parentItemId
        - status
        - productVariant
        - validity
        - parentItem
        - childItems
        - person
        - keycard
        - medium
        - listPriceGross
        - listPriceNet
        - promoCodeDiscount
        - autoDiscount
        - autoDiscountAmount
        - totalDiscountGross
        - totalDiscountNet
        - donation
        - totalGross
        - totalNet
        - vatRate
        - displayPrice
        - requiresPersonalization
        - requiresValidation
        - requiresMedium
        - isConfirmationRequired
        - isFlexTicket
        - isMaxOneTicketPerPerson
        - isUniqueItem
        - supportsWeatherGuarantee
        - hasWeatherGuarantee
    Checkout_CheckoutProductVariant:
      type: object
      properties:
        productId:
          type: number
        name:
          type: string
        id:
          type: number
        vatRate:
          type: number
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/Catalog_Attribute'
        translation:
          type: string
        product:
          $ref: '#/components/schemas/Checkout_CheckoutProduct'
        availableMedia:
          type: array
          items:
            $ref: '#/components/schemas/Checkout_CheckoutMedium'
      required:
        - productId
        - name
        - id
        - vatRate
        - attributes
        - translation
        - product
        - availableMedia
    Checkout_Person:
      type: object
      properties:
        id:
          type: number
        accountId:
          type: number
        formDefinition:
          type: object
          additionalProperties:
            oneOf:
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - text
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                  min:
                    type: number
                    nullable: true
                  max:
                    type: number
                    nullable: true
                  length:
                    type: number
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - number
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                  min:
                    type: number
                    nullable: true
                  max:
                    type: number
                    nullable: true
                  options:
                    type: array
                    items:
                      type: number
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - select
                  options:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                        value:
                          type: string
                      required:
                        - label
                        - value
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
                  - options
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - date
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                  min:
                    type: string
                    nullable: true
                  max:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - tel
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - file
                  fileType:
                    type: string
                    enum:
                      - avatar
                      - document
                      - image
                  acceptedMimeTypes:
                    type: array
                    items:
                      type: string
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
                  - fileType
                  - acceptedMimeTypes
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - checkbox
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - donation
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
              - type: object
                properties:
                  required:
                    type: boolean
                  label:
                    type: string
                  sortOrder:
                    type: number
                  type:
                    type: string
                    enum:
                      - tip
                  placeholder:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  autoComplete:
                    type: string
                    nullable: true
                required:
                  - required
                  - label
                  - sortOrder
                  - type
        defaultValues:
          type: object
          additionalProperties:
            type: object
            properties: {}
        values:
          type: object
          additionalProperties:
            type: object
            properties: {}
        isOwner:
          type: boolean
      required:
        - id
        - accountId
        - formDefinition
        - defaultValues
        - values
        - isOwner
    Checkout_Keycard:
      type: object
      properties:
        id:
          type: number
        dataCarrierId:
          type: string
        personId:
          type: number
        metaInformation:
          type: object
          additionalProperties:
            type: object
            properties: {}
          nullable: true
        type:
          type: string
          enum:
            - SKIDATA
            - AXESS
            - SWISSPASS
            - SWISSTRAVELPASS
            - LICENSEPLATE
            - FERATEL
            - EUINTERRAIL
      required:
        - id
        - dataCarrierId
        - personId
        - metaInformation
        - type
    Catalog_Attribute:
      type: object
      properties:
        name:
          type: string
        identifier:
          type: string
        value:
          type: string
        sortOrder:
          type: number
        metaInformation:
          type: object
          additionalProperties:
            type: object
            properties: {}
        translation:
          type: string
      required:
        - name
        - identifier
        - value
        - sortOrder
        - metaInformation
        - translation
    Checkout_AutoDiscount:
      type: object
      properties:
        id:
          type: number
        displayName:
          type: string
        description:
          type: string
        discountType:
          type: string
          enum:
            - ABSOLUTE
            - RELATIVE
            - FIXED_PRICE
        discount:
          type: number
      required:
        - id
        - displayName
        - description
        - discountType
        - discount
    Checkout_Donation:
      type: object
      properties:
        type:
          type: string
          enum:
            - DONATION
        amount:
          type: number
      required:
        - type
        - amount
    Checkout_CheckoutProduct:
      type: object
      properties:
        id:
          type: number
        sortOrder:
          type: number
        name:
          type: string
        translation:
          type: string
        identifier:
          type: string
        type:
          type: string
          enum:
            - TICKET
            - ARTICLE
            - BUNDLE
            - DYNAMIC_BUNDLE
        isSubscription:
          type: boolean
        standalone:
          type: boolean
        hasValidity:
          type: boolean
        imageUrl:
          type: string
        merchant:
          $ref: '#/components/schemas/Catalog_Merchant'
        category:
          $ref: '#/components/schemas/ProductCategory'
        slug:
          type: string
      required:
        - id
        - sortOrder
        - name
        - translation
        - identifier
        - type
        - isSubscription
        - standalone
        - hasValidity
        - imageUrl
        - merchant
        - category
        - slug
    Checkout_CheckoutMedium:
      type: object
      properties:
        description:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - SKIDATA
            - AXESS
            - SWISSPASS
            - LICENSEPLATE
            - FERATEL
            - SKIDATA_RENEWAL
            - SKIDATA_E_TICKET
            - AXESS_RENEWAL
            - ON_SITE
            - CODE_DIRECT
            - CODE_PICKUP
            - DELIVERY
        id:
          type: number
        priceComponents:
          type: array
          items:
            type: object
            properties:
              price:
                type: number
              productVariant:
                type: object
                properties:
                  id:
                    type: number
                  name:
                    type: string
                  translation:
                    type: string
                  vatRate:
                    type: number
                  productId:
                    type: number
                  attributes:
                    type: array
                    items:
                      $ref: '#/components/schemas/Catalog_Attribute'
                required:
                  - id
                  - name
                  - translation
                  - vatRate
                  - productId
                  - attributes
              intent:
                type: string
                enum:
                  - SENDING_FEE
                  - DEPOT
            required:
              - price
              - productVariant
              - intent
      required:
        - description
        - name
        - type
        - id
        - priceComponents
    Catalog_Merchant:
      type: object
      properties:
        identifier:
          type: string
        timezone:
          type: string
      required:
        - identifier
        - timezone
    ProductCategory:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
      required:
        - id
        - name

````